:root {
  --blue: hsl(223, 87%, 63%);
  --pale-blue: hsl(223, 100%, 88%);
  --light-red: hsl(354, 100%, 66%);
  --gray: hsl(0, 0%, 59%);
  --very-dark-blue: hsl(209, 33%, 12%);
}
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
.container {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
  align-items: center;
}
header {
  text-align: center;
  margin-bottom: 5px;
}
.logo {
  display: block;
  margin: 0 auto;
  margin-top: 40px;
}
body {
  font-family: "Libre Franklin", sans-serif;
  font-size: 20px;
  min-height: 100vh;
  color: white;
  margin: 0;
  padding: 0;
}
.logo {
  justify-content: center;
  align-items: center;
  text-align: center;
}
.intro {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.size {
  font-weight: 100;
}
h1 {
  color: hsl(0, 0%, 59%);
  padding-bottom: 15px;
}
span {
  color: hsl(209, 33%, 12%);
  font-weight: bold;
}
p {
  color: hsl(209, 33%, 12%);
}
.contact {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
}
.input-group {
  display: flex;
  flex-direction: column;
}
input {
  width: 400px;
  padding: 18px 25px;
  border: 1px solid hsl(223, 100%, 88%);
  color: hsl(0, 0%, 59%);
  border-radius: 50px;
  font-size: 16px;
}
.error-message {
  display: none;
  color: hsl(354, 100%, 66%);
  font-size: 12px;
  font-style: italic;
  margin-top: 8px;
  margin-left: 20px;
}
.error {
  border: 1px solid hsl(354, 100%, 66%);
}
.error:focus {
  border: 1px solid hsl(354, 100%, 66%);
  outline: none;
}
button {
  padding: 18px 50px;
  border: none;
  border-radius: 50px;
  background-color: hsl(223, 87%, 63%);
  color: white;
  font-size: 16px;
  cursor: pointer;
}
input:hover {
  border-color: hsl(223, 87%, 63%);
}
input:focus {
  outline: none;
  border-color: hsl(354, 100%, 66%);
}
button:hover {
  border-color: hsl(223, 87%, 63%);
  opacity: 0.8;
}
.image-section {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
}
.dashboard-image {
  width: 480px;
  max-width: 100%;
  height: auto;
}
.social-icons {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  gap: 20px;
}
a {
  color: hsl(223, 87%, 63%);
}
.copyright {
  text-align: center;
  margin-top: 20px;
  font-size: 14px;
}
.copyright p {
  color: hsl(0, 0%, 59%);
}
/* MEDIA QUERY */
@media (max-width: 480px) {
  h1 {
    font-size: 24px;
  }

  p {
    font-size: 16px;
  }

  .contact {
    flex-direction: column;
  }

  input,
  button {
    width: 100%;
    max-width: 100%;
  }

  .dashboard-image {
    width: 100%;
    max-width: 100%;
    height: auto;
  }
}
